Subject: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Dec 2013 19:30:30 +0200

> Date: Thu, 26 Dec 2013 12:51:59 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> I now do two things: I do not shrink the root window to less than one
> line/column (though apparently setting a window's pixel size to zero or
> a negative value didn't harm even earlier) and never delete a subwindow
> when shrinking a frame.  Frame size and toolbar/root window sizes still
> do not correspond.  We've been living long enough with this issue.  So
> let's see whether I've broken anything.

Thanks.  I don't see any problems with the new version, but I still
can make the frame as small as just the tool bar, or even smaller.  It
looks like the leave one line/column strategy is being defeated by
something.  Not that I think it's terribly important to fix this.